Name: gmerlin-avdecoder
Summary: A multimedia decoding library
Version: 1.1.0
Release: %mkrel 2
Url: http://gmerlin.sourceforge.net/
License: LGPLv2+
Group: Video
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: http://downloads.sourceforge.net/gmerlin/%name-%version.tar.gz
BuildRequires: gavl-devel >= 1.2.0
BuildRequires: gmerlin-devel >= 1.0.0
BuildRequires: gmerlin >= 1.0.0
BuildRequires: ffmpeg-devel
BuildRequires: oggvorbis-devel
BuildRequires: libmpeg2dec-devel
BuildRequires: libtheora-devel
BuildRequires: a52dec-devel a52dec
BuildRequires: speex-devel
BuildRequires: png-devel
BuildRequires: libmjpegtools-devel
BuildRequires: libflac-devel
BuildRequires: libcdio-devel
BuildRequires: tiff-devel
BuildRequires: libsmbclient-devel
BuildRequires: gettext

%description
This is gmerlin_avdecoder, a multimedia decoding library.
It it primarly a support library for gmerlin, but it can also be
used as a standalone library for getting sophisticated media file
decoding support for your application.

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
%_libdir/gmerlin/plugins/*.so

#--------------------------------------------------------------------

%define major 1
%define libname %mklibname gmerlin_avdec %major

%package -n %libname
Group: System/Libraries
Summary: Libraries for %name
Requires: %name = %version

%description -n %libname
This package contains shared libraries for %name.

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d gmerlin_avdec

%package -n %develname
Group: Development/Other
Summary: Development files for %name
Requires: %libname = %version
Provides: %name-devel = %version

%description -n %develname
This package contains development files for %name.

%files -n %develname
%defattr(-,root,root)
%_includedir/gmerlin/*.h
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*.pc

%prep
%setup -q

%build
%configure2_5x --without-doxygen
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot%_libdir/gmerlin/plugins/*.la

%find_lang %name

%clean
rm -rf %buildroot


%changelog
* Tue May 24 2011 Götz Waschk <waschk@mandriva.org> 1.1.0-2mdv2011.0
+ Revision: 678132
- rebuild for new mjpegtools

* Tue Jan 18 2011 Funda Wang <fwang@mandriva.org> 1.1.0-1
+ Revision: 631519
- new version 1.1.0

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdv2011.0
+ Revision: 610871
- rebuild

* Sun Feb 28 2010 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2010.1
+ Revision: 512584
- New version 1.0.3

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 511075
- new version 1.0.2

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.0.1-3mdv2010.1
+ Revision: 492237
- rebuild for new libjepg v8

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2010.0
+ Revision: 419485
- rebuild

* Wed Jul 29 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 404435
- Update to new version 1.0.1
- Remove upstream patch

* Thu Dec 18 2008 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 315622
- add requires
- modify libname
- import gmerlin-avdecoder


